@echo off
show fujitsu.scr 10
:START
cls
echo                  Fujitsu 24pin Printer Utility Disk
echo                            Version 1.00
echo:
echo                   Automatic Installation Main Menu 
echo:
echo      1. DLMENU - PC Remote control for your printer   
echo      2. Windows 3.0 - Printer driver for MicroSoft Windows 3.0 
echo      3. WordPerfect 5.1 - Printer driver for WordPerfect 5.1           
echo      4. Lotus 3.1 - Printer driver for Lotus 123 Release 3.1
echo      5. AutoCAD 10 or 11 - Printer drivers for AutoDesk's AutoCAD 10 or 11
echo      6. AutoSketch - Printer drivers for AutoDesk's AutoSketch
echo      7. Word 5.0 or 5.5 - Printer driver for MicroSoft's Word 5.0 or 5.5
echo      8. Print Screen - PDUMP screen dump utility for screens up to EGA
echo      9. IBM DisplayWrite 4 - Printer driver for IBM DisplayWrite 4
echo      A. IBM DisplayWrite 5 - Printer driver for IBM DisplayWrite 5
echo      B. See a Fujitsu Creative Faces demo on your printer
echo      C. View introductory text 
echo      D. Print introductory text on your printer
echo      E. View current Fujitsu Printer Dealer list
echo      F. Print current Fujitsu Printer Dealer list on your printer
echo:      
echo      0. EXIT TO DOS - Quit this Utility disk
echo:
echo  Please type the number of your choice
PROMPTF 0 F
cls
if errorlevel 15 goto PDL
if errorlevel 14 goto VDL
if errorlevel 13 goto PRINTME
if errorlevel 12 goto READ1
if errorlevel 11 goto FCF
if errorlevel 10 goto DW5
if errorlevel 9 goto DW4
if errorlevel 8 goto PDUMP
if errorlevel 7 goto WORD
if errorlevel 6 goto SKETCH
if errorlevel 5 goto CAD
if errorlevel 4 goto LOTUS
if errorlevel 3 goto WP
if errorlevel 2 goto WIN
if errorlevel 1 goto DLMENU
if errorlevel 0 goto EXIT
goto EXIT
:DLMENU
cls
echo:
echo  Installation of DLMENU - PC remote control of your printer
echo:
echo:
echo Please enter the drive you would like to have DLMENU installed
echo:
echo  eg:  enter  C  for drive C:  or  D  for drive D: up to E
echo       this will create a directory called DLMENU on the selected drive.
echo:
echo                                  Drive  :
promptf 1 C E >c:\go.bat 
c:\go
PAUSE
goto START
:WIN
cls
echo:
echo       Installation of Fujitsu 24pin printer driver
echo              for MicroSoft Windows 3.0
echo:
echo:
echo Please enter the drive where you execute Windows from
echo:
echo   ie:  enter  C  if you normally run Windows from the C: drive
echo:
echo                                  Drive  :
promptf 2 C E >c:\go.bat
c:\go
goto START
:WP
cls
echo:
echo       Installation of Fujitsu 24pin printer driver
echo                  for WordPerfect 5.1
echo:
echo:
echo Please enter the full path where your WordPerfect 5.1 keeps 
echo the printer .ALL  files.
echo:
echo   ie:  C:\WP51    (If unsure this is most likely it)
echo:
promptf 3 C:\WP51 >c:\go.bat
c:\go
goto START
:LOTUS
cls
echo:
echo       Installation of Fujitsu 24pin printer driver
echo              for Lotus 123 Release 3.1
echo:
echo:
echo Please enter the full path where you have your Lotus Directory
echo:
echo   eg:  C:\123R31    (If unsure this is most likely it)
echo:
promptf 4 C:\123R31 >c:\go.bat
c:\go
goto START
:CAD
cls
echo:
echo       Installation of Fujitsu 24pin printer driver
echo             for AutoDesk's AutoCad 10 or 11
echo:
echo:
echo Please enter the full path where you have your AutoCAD
echo:
echo   eg:  C:\AUTOCAD    (If unsure this is most likely it)
echo:
promptf 5 C:\AUTOCAD >c:\go.bat
c:\go
goto START
:SKETCH
cls
echo:
echo       Installation of Fujitsu 24pin printer driver
echo              for AutoDesk's AutoSketch 2
echo:
echo:
echo Please enter the full path where you have your AutoSketch
echo:
echo   eg:  C:\SKETCH    (If unsure this is most likely it)
echo:
promptf 6 C:\SKETCH >c:\go.bat
c:\go
goto START
:WORD
cls
echo:
echo       Installation of Fujitsu 24pin printer driver
echo              for MicroSoft Word 5 or 5.5
echo:
echo:
echo Please enter the full path where you have your Word Directory
echo:
echo   eg:  C:\WORD5    (If unsure this is most likely it)
echo:
promptf 7 C:\WORD5 >c:\go.bat
c:\go
goto START
:PDUMP
cls
echo:
echo       Installation of Fujitsu 24pin printer driver
echo              Screen Print Utility - PDUMP
echo:
echo:
echo Please enter the drive where you would like to have PDUMP installed
echo:
echo  ie:  enter  C  for drive C:   or  D  for drive D: etc...
echo:
echo                                  Drive  :
promptf 8 C E >c:\go.bat
c:\go
goto START
:DW4
cls
echo:
echo       Installation of Fujitsu 24pin printer driver
echo              for IBM DisplayWrite 4 
echo:
echo:
echo Please enter the full path where you have your DisplayWrite Directory
echo:
echo   eg:  C:\TX4    (If unsure this is most likely it)
echo:
promptf 9 C:\TX4 >c:\go.bat
c:\go
goto START
:DW5
cls
echo:
echo       Installation of Fujitsu 24pin printer driver
echo              for IBM DisplayWrite 5
echo:
echo:
echo Please enter the full path where you have your DisplayWrite Directory
echo:
echo   eg:  C:\TX5    (If unsure this is most likely it)
echo:
promptf A C:\TX5 >c:\go.bat
c:\go
goto START
:FCF
cls
echo:
echo                     Fujitsu Creative Faces
echo              Scaleable PostScript compatible Fonts
echo               for your screen and Fujitsu Printer.   
echo                 Fujitsu Creative Faces requires 
echo             MicroSoft Windows 2.x or 3.0 Environment.
echo:
echo     This is a demo which will print on your printer !
echo     Please ensure that your printer is setup in the Fujitsu
echo     DPL24I, DPL24C or DPL24C PLUS emulation (Factory Default!) 
echo     is Online and paper is loaded. This demo will output to
echo     your system's current printer port. (usually LPT1:)
echo:
echo           This demo does not require Windows to run.
echo     This demo will print colour if your printer is a colour one.
echo     The output from this demo is in 360 by 180 dpi, but all current
echo     Fujitsu 24pin printers, and the Windows driver on this disk,
echo     support 360 by 360 dpi.
echo:
echo:
echo:   
pause
copy/b fcfpromo.dmp lpt1:
goto START
:READ1
BROWSE2 README
GOTO START
:PRINTME
echo:
echo Printing Introduction letter ...
echo:
copy README lpt1:
GOTO START
:VDL
BROWSE2 DEALERS.TXT
GOTO START
:PDL
echo:
echo Printing Current Fujitsu Printer Dealer List ...
echo:
COPY DEALERS.TXT LPT1:
GOTO START
:EXIT
cls
if not exist c:\go.bat goto END
del c:\go.bat >NUL
:END
echo Thankyou for using the Fujitsu 24pin printers Utility Disk !
